

module roundRect(w, h, rpct=10) {

  r = (w + h)/2 * rpct/100;

  tx = -w/2;
  ty = -h/2;

  translate([tx, ty, 0])
    if (r > 0)
      hull() for (_tx=[r, w-r], _ty=[r, h-r]) translate([_tx, _ty, 0]) circle(r=r);
    else
      square([w, h]);
}

